
Redmine - Defect #20244

Upgrade from 2.6 to 3.0 (Stable) :: Is not a valid date by all Date fields

2015-07-05 16:41 - Vlad Vor

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.0.3

Description

Hi all,

Today I upgraded from Redmine 2.6 to 3.0 and also all my plugins.

Everything seems to work except the date fields.

I get by start date and all other my custom date fields "is not a valid date".

Redmine is unusable now.

I tried to change languages in settings and browser. Nothing helps...

Environment:

Redmine version                3.0.3.stable

Ruby version                   2.0.0-p481 (2014-05-08) [x86_64-linux]

Rails version                  4.2.3

Environment                    production

Database adapter               PostgreSQL

SCM:

Mercurial                      3.1.2

Git                            2.1.4

Filesystem

Redmine plugins:

recurring_tasks                2.0.0-pre

redmine_checklists             3.0.4

redmine_mylyn_connector        2.8.2.stable

Postgresql Server 9.3

Related issues:

Related to Redmine - Defect #17698: Date format is incorrect Needs feedback

History

#1 - 2015-07-05 18:17 - Toshi MARUYAMA

- Related to Defect #17698: Date format is incorrect added

#2 - 2015-07-06 10:49 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try without plugins.

#3 - 2015-07-07 10:55 - Vlad Vor

Ok, I have find out that the valid date for redmine is only the format YYYY-mm-dd (example 2015-07-05)

But JavaScript Calendar localize the Date like 07/14/2015.

An thin is not valid date for redmine.

I have to type date manualy in the format YYYY-mm-dd

So that is definitivly a bug.

PS: I did
ALTER DATABASE "redmine_db" SET datestyle="ISO,MDY";

#4 - 2015-08-17 15:07 - Marc D.

We got the same issue, the datepicker enters the dateformat of your chosen language.

For DE: dd.mm.yy

Workaround:

Edit the jquery.ui.datepicker-de.js of your language. ( in redmine/public/javascripts/i18n)

Change dateFormat to " dateFormat: 'yy-mm-dd', "

#5 - 2015-12-07 13:12 - Ronny K

Same issue, datepicker displayed in bottom of page.

Deactivate plugin redmine_tweaks  for my Installation and all is fine.

#6 - 2015-12-07 16:14 - Alexander Meindl

This problem has been fixed with the latest redmine_tweaks update, see https://github.com/alexandermeindl/redmine_tweaks/issues/23. I suppose,

that the problem from Vlad is another problem, which is not depending on redmine_tweaks (because redmine_tweaks didn't include the calendar

macro 4 month ago).

#7 - 2016-01-06 04:33 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you for your feedback.

#8 - 2016-01-06 04:36 - Toshi MARUYAMA

- Status changed from Closed to New

- Priority changed from High to Normal

#9 - 2016-01-06 04:37 - Toshi MARUYAMA

- Status changed from New to Needs feedback
